﻿* Encoding: UTF-8.

*Frecuencia de las respuestas a todas las preguntas del cuestionario.

FREQUENCIES VARIABLES=ALL
  /ORDER=ANALYSIS.

*Creación de nueva variables, grupos de edad recodificada.

DATASET ACTIVATE ConjuntoDatos1.
RECODE P5 (18 thru 20=1) (21 thru 23=2) (24 thru 26=3) (27 thru Highest=4) INTO EdadRec.
VARIABLE LABELS  EdadRec 'Grupos de edad'.
EXECUTE.

*Crosstabs de grupos de edad por sexo.

DATASET ACTIVATE ConjuntoDatos1.
CROSSTABS
  /TABLES=Edadrec BY P1
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COLUMN 
  /COUNT ROUND CELL.

*Crosstabs de pregunta 2 a pregunta 13 por sexo.

CROSSTABS
  /TABLES=P2 P3 P4 EdadRec P6 P7 P7.1 P7.2 P7.3 P7.4 P7.5 P7.6 P8 P8.1 P8.2 P8.3 P8.4 P8.5 P8.6 P9 
    P9.1 P9.2 P9.3 P9.4 P9.5 P9.6 P10 P10.1 P10.2 P10.3 P10.4 P10.5 P10.6 P11 P11.1 P11.2 P11.3 P11.4 
    P11.5 P11.6 P12 P12.1 P12.2 P12.3 P12.4 P12.5 P12.6 P13 P13.1 P13.2 P13.3 P13.4 P13.5 P13.6 BY P1
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COUNT COLUMN 
  /COUNT ROUND CELL.

*Crosstabs de pregunta 14 a pregunta 22 por sexo.

CROSSTABS
  /TABLES=P14 P14.1 P14.2 P14.3 P14.4 P14.5 P14.6 P15 P15.1 P15.2 P15.3 P15.4 P15.5 P15.6 P16 P16.1 
    P16.2 P16.3 P16.4 P16.5 P16.6 P16.6.1 P17 P18 P19 P20 P20.1 P20.2 P20.3 P20.4 P20.5 P20.6 P20.7 
    P20.8 P20.9 P20.10 P21 P21.1 P21.2 P22 P22.1 P22.2 P22.3 P22.4 P22.5 P22.6 P22.7 P22.8 P22.9 
    P22.10 BY P1
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COUNT COLUMN 
  /COUNT ROUND CELL.

*Crosstabs de modalidades de acoso por sexo, turno y grupos de edad. 

CROSSTABS
  /TABLES=P8 P9 P11 P6 P15 P16 P12 P13 P7 BY P1 BY P4 EdadRec
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COLUMN 
  /COUNT ROUND CELL.

*Agrupación de respuestas de todas las formas de acoso (para crear la nueva variable "acoso real").

compute acosoreal=0. 
if  (p7 eq 1 or p8 eq 1 or p9 eq 1 or p10 EQ 1 or p11 eq 1 or p12 eq 1 or p13 eq 1 or p14 eq 1 or p15 eq 1 or p16 eq 1) acosoreal = 1.
execute.

*Agrupación por tipos de victimarios(as) (creación de nuevas variables) para la modalidad de acoso de la pregunta 7 del cuestionario.

compute profhacos7=0.
if  (p7.1 eq 1 or p7.2 eq 1 or p7.3 eq 1 or p7.4 eq 1 or p7.5 eq 1 or p7.6 eq 1)  profhacos7= 1.
execute.

compute profmacos7=0.
if  (p7.1 eq 4 or p7.2 eq 4 or p7.3 eq 4 or p7.4 eq 4 or p7.5 eq 4 or p7.6 eq 4)  profmacos7= 1.
execute.

compute alumhacos7=0.
if  (p7.1 eq 2 or p7.2 eq 2 or p7.3 eq 2 or p7.4 eq 2 or p7.5 eq 2 or p7.6 eq 2)  alumhacos7= 1.
execute.

compute alummacosa7=0.
if  (p7.1 eq 5 or p7.2 eq 5 or p7.3 eq 5 or p7.4 eq 5 or p7.5 eq 5 or p7.6 eq 5)  alummacosa7= 1.
execute.

compute trabhacos7=0.
if  (p7.1 eq 3 or p7.2 eq 3 or p7.3 eq 3 or p7.4 eq 3 or p7.5 eq 3 or p7.6 eq 3)  trabhacos7= 1.
execute.

compute trabmacos7=0.
if  (p7.1 eq 6 or p7.2 eq 6 or p7.3 eq 6 or p7.4 eq 6 or p7.5 eq 6 or p7.6 eq 6)  trabmacos7= 1.
execute.

*Agrupación por tipos de victimarios(as) (creación de nuevas variables) para la modalidad de acoso de la pregunta 8 del cuestionario.

compute profhacos8=0.
if  (p8.1 eq 1 or p8.2 eq 1 or p8.3 eq 1 or p8.4 eq 1 or p8.5 eq 1 or p8.6 eq 1)  profhacos8= 1.
execute.

compute profmacos8=0.
if  (p8.1 eq 4 or p8.2 eq 4 or p8.3 eq 4 or p8.4 eq 4 or p8.5 eq 4 or p8.6 eq 4)  profmacos8= 1.
execute.

compute alumhacos8=0.
if  (p8.1 eq 2 or p8.2 eq 2 or p8.3 eq 2 or p8.4 eq 2 or p8.5 eq 2 or p8.6 eq 2)  alumhacos8= 1.
execute.

compute alummacosa8=0.
if  (p8.1 eq 5 or p8.2 eq 5 or p8.3 eq 5 or p8.4 eq 5 or p8.5 eq 5 or p8.6 eq 5)  alummacosa8= 1.
execute.

compute trabhacos8=0.
if  (p8.1 eq 3 or p8.2 eq 3 or p8.3 eq 3 or p8.4 eq 3 or p8.5 eq 3 or p8.6 eq 3)  trabhacos8= 1.
execute.

compute trabmacos8=0.
if  (p8.1 eq 6 or p8.2 eq 6 or p8.3 eq 6 or p8.4 eq 6 or p8.5 eq 6 or p8.6 eq 6)  trabmacos8= 1.
execute.

*Agrupación por tipos de victimarios(as) (creación de nuevas variables) para la modalidad de acoso de la pregunta 9 del cuestionario.

compute profhacos9=0.
if  (p9.1 eq 1 or p9.2 eq 1 or p9.3 eq 1 or p9.4 eq 1 or p9.5 eq 1 or p9.6 eq 1)  profhacos9= 1.
execute.

compute profmacos9=0.
if  (p9.1 eq 4 or p9.2 eq 4 or p9.3 eq 4 or p9.4 eq 4 or p9.5 eq 4 or p9.6 eq 4)  profmacos9= 1.
execute.

compute alumhacos9=0.
if  (p9.1 eq 2 or p9.2 eq 2 or p9.3 eq 2 or p9.4 eq 2 or p9.5 eq 2 or p9.6 eq 2)  alumhacos9= 1.
execute.

compute alummacosa9=0.
if  (p9.1 eq 5 or p9.2 eq 5 or p9.3 eq 5 or p9.4 eq 5 or p9.5 eq 5 or p9.6 eq 5)  alummacosa9= 1.
execute.

compute trabhacos9=0.
if  (p9.1 eq 3 or p9.2 eq 3 or p9.3 eq 3 or p9.4 eq 3 or p9.5 eq 3 or p9.6 eq 3)  trabhacos9= 1.
execute.

compute trabmacos9=0.
if  (p9.1 eq 6 or p9.2 eq 6 or p9.3 eq 6 or p9.4 eq 6 or p9.5 eq 6 or p9.6 eq 6)  trabmacos9= 1.
execute.

*Agrupación por tipos de victimarios(as) (creación de nuevas variables) para la modalidad de acoso de la pregunta 10 del cuestionario.

compute profhacos10=0.
if  (p10.1 eq 1 or p10.2 eq 1 or p10.3 eq 1 or p10.4 eq 1 or p10.5 eq 1 or p10.6 eq 1)  profhacos10= 1.
execute.

compute profmacos10=0.
if  (p10.1 eq 4 or p10.2 eq 4 or p10.3 eq 4 or p10.4 eq 4 or p10.5 eq 4 or p10.6 eq 4)  profmacos10= 1.
execute.

compute alumhacos10=0.
if  (p10.1 eq 2 or p10.2 eq 2 or p10.3 eq 2 or p10.4 eq 2 or p10.5 eq 2 or p10.6 eq 2)  alumhacos10= 1.
execute.

compute alummacosa10=0.
if  (p10.1 eq 5 or p10.2 eq 5 or p10.3 eq 5 or p10.4 eq 5 or p10.5 eq 5 or p10.6 eq 5)  alummacosa10= 1.
execute.

compute trabhacos10=0.
if  (p10.1 eq 3 or p10.2 eq 3 or p10.3 eq 3 or p10.4 eq 3 or p10.5 eq 3 or p10.6 eq 3)  trabhacos10= 1.
execute.

compute trabmacos10=0.
if  (p10.1 eq 6 or p10.2 eq 6 or p10.3 eq 6 or p10.4 eq 6 or p10.5 eq 6 or p10.6 eq 6)  trabmacos10= 1.
execute.

*Agrupación por tipos de victimarios(as) (creación de nuevas variables) para la modalidad de acoso de la pregunta 11 del cuestionario.

compute profhacos11=0.
if  (p11.1 eq 1 or p11.2 eq 1 or p11.3 eq 1 or p11.4 eq 1 or p11.5 eq 1 or p11.6 eq 1)  profhacos11= 1.
execute.

compute profmacos11=0.
if  (p11.1 eq 4 or p11.2 eq 4 or p11.3 eq 4 or p11.4 eq 4 or p11.5 eq 4 or p11.6 eq 4)  profmacos11= 1.
execute.

compute alumhacos11=0.
if  (p11.1 eq 2 or p11.2 eq 2 or p11.3 eq 2 or p11.4 eq 2 or p11.5 eq 2 or p11.6 eq 2)  alumhacos11= 1.
execute.

compute alummacosa11=0.
if  (p11.1 eq 5 or p11.2 eq 5 or p11.3 eq 5 or p11.4 eq 5 or p11.5 eq 5 or p11.6 eq 5)  alummacosa11= 1.
execute.

compute trabhacos11=0.
if  (p11.1 eq 3 or p11.2 eq 3 or p11.3 eq 3 or p11.4 eq 3 or p11.5 eq 3 or p11.6 eq 3)  trabhacos11= 1.
execute.

compute trabmacos11=0.
if  (p11.1 eq 6 or p11.2 eq 6 or p11.3 eq 6 or p11.4 eq 6 or p11.5 eq 6 or p11.6 eq 6)  trabmacos11= 1.
execute.

*Agrupación por tipos de victimarios(as) (creación de nuevas variables) para la modalidad de acoso de la pregunta 12 del cuestionario.

compute profhacos12=0.
if  (p12.1 eq 1 or p12.2 eq 1 or p12.3 eq 1 or p12.4 eq 1 or p12.5 eq 1 or p12.6 eq 1)  profhacos12= 1.
execute.

compute profmacos12=0.
if  (p12.1 eq 4 or p12.2 eq 4 or p12.3 eq 4 or p12.4 eq 4 or p12.5 eq 4 or p12.6 eq 4)  profmacos12= 1.
execute.

compute alumhacos12=0.
if  (p12.1 eq 2 or p12.2 eq 2 or p12.3 eq 2 or p12.4 eq 2 or p12.5 eq 2 or p12.6 eq 2)  alumhacos12= 1.
execute.

compute alummacosa12=0.
if  (p12.1 eq 5 or p12.2 eq 5 or p12.3 eq 5 or p12.4 eq 5 or p12.5 eq 5 or p12.6 eq 5)  alummacosa12= 1.
execute.

compute trabhacos12=0.
if  (p12.1 eq 3 or p12.2 eq 3 or p12.3 eq 3 or p12.4 eq 3 or p12.5 eq 3 or p12.6 eq 3)  trabhacos12= 1.
execute.

compute trabmacos12=0.
if  (p12.1 eq 6 or p12.2 eq 6 or p12.3 eq 6 or p12.4 eq 6 or p12.5 eq 6 or p12.6 eq 6)  trabmacos12= 1.
execute.

*Agrupación por tipos de victimarios(as) (creación de nuevas variables) para la modalidad de acoso de la pregunta 13 del cuestionario.

compute profhacos13=0.
if  (p13.1 eq 1 or p13.2 eq 1 or p13.3 eq 1 or p13.4 eq 1 or p13.5 eq 1 or p13.6 eq 1)  profhacos13= 1.
execute.

compute profmacos13=0.
if  (13.1 eq 4 or p13.2 eq 4 or p13.3 eq 4 or p13.4 eq 4 or p13.5 eq 4 or p13.6 eq 4)  profmacos13= 1.
execute.

compute alumhacos13=0.
if  (p13.1 eq 2 or p13.2 eq 2 or p13.3 eq 2 or p13.4 eq 2 or p13.5 eq 2 or p13.6 eq 2)  alumhacos13= 1.
execute.

compute alummacosa13=0.
if  (p13.1 eq 5 or p13.2 eq 5 or p13.3 eq 5 or p13.4 eq 5 or p13.5 eq 5 or p13.6 eq 5)  alummacosa13= 1.
execute.

compute trabhacos13=0.
if  (p13.1 eq 3 or p13.2 eq 3 or p13.3 eq 3 or p13.4 eq 3 or p13.5 eq 3 or p13.6 eq 3)  trabhacos13= 1.
execute.

compute trabmacos13=0.
if  (p13.1 eq 6 or p13.2 eq 6 or p13.3 eq 6 or p13.4 eq 6 or p13.5 eq 6 or p13.6 eq 6)  trabmacos13= 1.
execute.

*Agrupación por tipos de victimarios(as) (creación de nuevas variables) para la modalidad de acoso de la pregunta 14 del cuestionario.

compute profhacos14=0.
if  (p14.1 eq 1 or p14.2 eq 1 or p14.3 eq 1 or p14.4 eq 1 or p14.5 eq 1 or p14.6 eq 1)  profhacos14= 1.
execute.

compute profmacos14=0.
if  (p14.1 eq 4 or p14.2 eq 4 or p14.3 eq 4 or p14.4 eq 4 or p14.5 eq 4 or p14.6 eq 4)  profmacos14= 1.
execute.

compute alumhacos14=0.
if  (p14.1 eq 2 or p14.2 eq 2 or p14.3 eq 2 or p14.4 eq 2 or p14.5 eq 2 or p14.6 eq 2)  alumhacos14= 1.
execute.

compute alummacosa14=0.
if  (p14.1 eq 5 or p14.2 eq 5 or p14.3 eq 5 or p14.4 eq 5 or p14.5 eq 5 or p14.6 eq 5)  alummacosa14= 1.
execute.

compute trabhacos14=0.
if  (p14.1 eq 3 or p14.2 eq 3 or p14.3 eq 3 or p14.4 eq 3 or p14.5 eq 3 or p14.6 eq 3)  trabhacos14= 1.
execute.

compute trabmacos14=0.
if  (p14.1 eq 6 or p14.2 eq 6 or p14.3 eq 6 or p14.4 eq 6 or p14.5 eq 6 or p14.6 eq 6)  trabmacos14= 1.
execute.

*Agrupación por tipos de victimarios(as) (creación de nuevas variables) para la modalidad de acoso de la pregunta 15 del cuestionario.

compute profhacos15=0.
if  (p15.1 eq 1 or p15.2 eq 1 or p15.3 eq 1 or p15.4 eq 1 or p15.5 eq 1 or p15.6 eq 1)  profhacos15= 1.
execute.

compute profmacos15=0.
if  (p15.1 eq 4 or p15.2 eq 4 or p15.3 eq 4 or p15.4 eq 4 or p15.5 eq 4 or p15.6 eq 4)  profmacos15= 1.
execute.

compute alumhacos15=0.
if  (p15.1 eq 2 or p15.2 eq 2 or p15.3 eq 2 or p15.4 eq 2 or p15.5 eq 2 or p15.6 eq 2)  alumhacos15= 1.
execute.

compute alummacosa15=0.
if  (p15.1 eq 5 or p15.2 eq 5 or p15.3 eq 5 or p15.4 eq 5 or p15.5 eq 5 or p15.6 eq 5)  alummacosa15= 1.
execute.

compute trabhacos15=0.
if  (p15.1 eq 3 or p15.2 eq 3 or p15.3 eq 3 or p15.4 eq 3 or p15.5 eq 3 or p15.6 eq 3)  trabhacos15= 1.
execute.

compute trabmacos15=0.
if  (p15.1 eq 6 or p15.2 eq 6 or p15.3 eq 6 or p15.4 eq 6 or p15.5 eq 6 or p15.6 eq 6)  trabmacos15= 1.
execute.


*Agrupación por tipos de victimarios(as) (creación de nuevas variables) para la modalidad de acoso de la pregunta 16 del cuestionario.

compute profhacos16=0.
if  (p16.1 eq 1 or p16.2 eq 1 or p16.3 eq 1 or p16.4 eq 1 or p16.5 eq 1 or p16.6 eq 1)  profhacos16= 1.
execute.

compute profmacos16=0.
if  (p16.1 eq 4 or p16.2 eq 4 or p16.3 eq 4 or p16.4 eq 4 or p16.5 eq 4 or p16.6 eq 4)  profmacos16= 1.
execute.

compute alumhacos16=0.
if  (p16.1 eq 2 or p16.2 eq 2 or p16.3 eq 2 or p16.4 eq 2 or p16.5 eq 2 or p16.6 eq 2)  alumhacos16= 1.
execute.

compute alummacosa16=0.
if  (p16.1 eq 5 or p16.2 eq 5 or p16.3 eq 5 or p16.4 eq 5 or p16.5 eq 5 or p16.6 eq 5)  alummacosa16= 1.
execute.

compute trabhacos16=0.
if  (p16.1 eq 3 or p16.2 eq 3 or p16.3 eq 3 or p16.4 eq 3 or p16.5 eq 3 or p16.6 eq 3)  trabhacos16= 1.
execute.

compute trabmacos16=0.
if  (p16.1 eq 6 or p16.2 eq 6 or p16.3 eq 6 or p16.4 eq 6 or p16.5 eq 6 or p16.6 eq 6)  trabmacos16= 1.
execute.


*Agrupación por tipos de victimarios(as) (creación de nuevas variables) para calcular los totales de todas las modalidades de acoso sexual.

compute profhacost=0. 
if  (profhacos7 eq 1 or profhacos8 eq 1 or profhacos9 eq 1 or profhacos10 eq 1 or profhacos11 eq 1 or profhacos12 eq 1 or profhacos13 eq 1 or profhacos14 eq 1 or profhacos15 eq 1 or profhacos16 eq 1) profhacost= 1.
execute.

compute profmacost=0. 
if  (profmacos7 eq 1 or profmacos8 eq 1 or profmacos9 eq 1 or profmacos10 eq 1 or profmacos11 eq 1 or profmacos12 eq 1 or profmacos13 eq 1 or profmacos14 eq 1 or profmacos15 eq 1 or profmacos16 eq 1) profmacost= 1.
execute.

compute alumhacost=0. 
if  (alumhacos7 eq 1 or alumhacos8 eq 1 or alumhacos9 eq 1 or alumhacos10 eq 1 or alumhacos11 eq 1 or alumhacos12 eq 1 or alumhacos13 eq 1 or alumhacos14 eq 1 or alumhacos15 eq 1 or alumhacos16 eq 1) alumhacost= 1.
execute.

compute alummacost=0. 
if  (alummacosa7 eq 1 or alummacosa8 eq 1 or alummacosa9 eq 1 or alummacosa10 eq 1 or alummacosa11 eq 1 or alummacosa12 eq 1 or alummacosa13 eq 1 or alummacosa14 eq 1 or alummacosa15 eq 1 or alummacosa16 eq 1) alummacost= 1.
execute.

compute trabhacost=0. 
if  (trabhacos7 eq 1 or trabhacos8 eq 1 or trabhacos9 eq 1 or trabhacos10 eq 1 or trabhacos11 eq 1 or trabhacos12 eq 1 or trabhacos13 eq 1 or trabhacos14 eq 1 or trabhacos15 eq 1 or trabhacos16 eq 1) trabhacost= 1.
execute.

compute trabmacost=0. 
if  (trabmacos7 eq 1 or trabmacos8 eq 1 or trabmacos9 eq 1 or trabmacos10 eq 1 or trabmacos11 eq 1 or trabmacos12 eq 1 or trabmacos13 eq 1 or trabmacos14 eq 1 or trabmacos15 eq 1 or trabmacos16 eq 1) trabmacost= 1.
execute.


*Agrupacion de respuestas de acoso de profesores solo hacia alumnas. Última parte de la encuesta (creación de nuevas variables).

compute profacoso=0. 
if  (p22.1 eq 1 or p22.2 eq 1 or p22.3 eq 1 or p22.4 eq 1 or p22.5 eq 1 or p22.6 eq 1 or p22.7 eq 1 or p22.8 eq 1 or p22.9 eq 1 or p22.10 eq 1) profacoso= 1.
execute.


*Agrupación respuestas de pregunta 20 (creación de nuevas variables).

compute verguenza=0. 
if  (p20 eq 1 or p20.1 eq 1 or p20.2 eq 1 or p20.3 eq 1 or p20.4 eq 1 or p20.5 eq 1 or p20.6 eq 1 or p20.7 eq 1 or p20.8 eq 1 or p20.9 eq 1 or p20.10 eq 1) verguenza= 1.
execute.

compute nofendidx=0. 
if  (p20 eq 2 or p20.1 eq 2 or p20.2 eq 2 or p20.3 eq 2 or p20.4 eq 2 or p20.5 eq 2 or p20.6 eq 2 or p20.7 eq 2 or p20.8 eq 2 or p20.9 eq 2 or p20.10 eq 2) nofendidx= 1.
execute.

compute perdtiemp=0. 
if  (p20 eq 3 or p20.1 eq 3 or p20.2 eq 3 or p20.3 eq 3 or p20.4 eq 3 or p20.5 eq 3 or p20.6 eq 3 or p20.7 eq 3 or p20.8 eq 3 or p20.9 eq 3 or p20.10 eq 3) perdtiemp= 1.
execute.

compute nosedonde=0. 
if  (p20 eq 4 or p20.1 eq 4 or p20.2 eq 4 or p20.3 eq 4 or p20.4 eq 4 or p20.5 eq 4 or p20.6 eq 4 or p20.7 eq 4 or p20.8 eq 4 or p20.9 eq 4 or p20.10 eq 4) nosedonde= 1.
execute.

compute portemor=0. 
if  (p20 eq 5 or p20.1 eq 5 or p20.2 eq 5 or p20.3 eq 5 or p20.4 eq 5 or p20.5 eq 5 or p20.6 eq 5 or p20.7 eq 5 or p20.8 eq 5 or p20.9 eq 5 or p20.10 eq 5) portemor= 1.
execute.

compute nosirve=0. 
if  (p20 eq 6 or p20.1 eq 6 or p20.2 eq 6 or p20.3 eq 6 or p20.4 eq 6 or p20.5 eq 6 or p20.6 eq 6 or p20.7 eq 6 or p20.8 eq 6 or p20.9 eq 6 or p20.10 eq 6) nosirve= 1.
execute.

compute noptanto=0. 
if  (p20 eq 7 or p20.1 eq 7 or p20.2 eq 7 or p20.3 eq 7 or p20.4 eq 7 or p20.5 eq 7 or p20.6 eq 7 or p20.7 eq 7 or p20.8 eq 7 or p20.9 eq 7 or p20.10 eq 7) noptanto= 1.
execute.

compute noproblem=0. 
if  (p20 eq 8 or p20.1 eq 8 or p20.2 eq 8 or p20.3 eq 8 or p20.4 eq 8 or p20.5 eq 8 or p20.6 eq 8 or p20.7 eq 8 or p20.8 eq 8 or p20.9 eq 8 or p20.10 eq 8) noproblem= 1.
execute.

compute señaladx=0. 
if  (p20 eq 9 or p20.1 eq 9 or p20.2 eq 9 or p20.3 eq 9 or p20.4 eq 9 or p20.5 eq 9 or p20.6 eq 9 or p20.7 eq 9 or p20.8 eq 9 or p20.9 eq 9 or p20.10 eq 9) señaladx= 1.
execute.

compute burla=0. 
if  (p20 eq 10 or p20.1 eq 10 or p20.2 eq 10 or p20.3 eq 10 or p20.4 eq 10 or p20.5 eq 10 or p20.6 eq 10 or p20.7 eq 10 or p20.8 eq 10 or p20.9 eq 10 or p20.10 eq 10) burla= 1.
execute.

compute nr=0. 
if  (p20 eq 99 or p20.1 eq 99 or p20.2 eq 99 or p20.3 eq 99 or p20.4 eq 99 or p20.5 eq 99 or p20.6 eq 99 or p20.7 eq 99 or p20.8 eq 99 or p20.9 eq 99 or p20.10 eq 99) nr= 1.
execute.


*Agrupación respuestas de pregunta 21 (creación de nuevas variables).

compute faltaeduc=0. 
if  (p21 eq 1 or p21.1 eq 1 or p21.2 eq 1) faltaeduc= 1.
execute.

compute probment=0. 
if  (p21 eq 2 or p21.1 eq 2 or p21.2 eq 2) probment= 1.
execute.

compute nosecont=0. 
if  (p21 eq 3 or p21.1 eq 3 or p21.2 eq 3) nosecont= 1.
execute.

compute vestimenta=0. 
if  (p21 eq 4 or p21.1 eq 4 or p21.2 eq 4) vestimenta= 1.
execute.

compute mujnoresp=0. 
if  (p21 eq 5 or p21.1 eq 5 or p21.2 eq 5) mujnoresp= 1.
execute.

compute mujnocuid=0. 
if  (p21 eq 6 or p21.1 eq 6 or p21.2 eq 6) mujnocuid= 1.
execute.

compute abuspoder=0. 
if  (p21 eq 7 or p21.1 eq 7 or p21.2 eq 7) abuspoder= 1.
execute.


compute socmachis=0. 
if  (p21 eq 8 or p21.1 eq 8 or p21.2 eq 8) socmachis= 1.
execute.

compute nores=0. 
if  (p21 eq 99 or p21.1 eq 99 or p21.2 eq 99) nores= 1.
execute.


*Crosstabs de variable "acoso real" con la pregunta 6. ¿Consideras que has sido acosadx?

CROSSTABS
  /TABLES=acosoreal P6 BY P1
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COLUMN 
  /COUNT ROUND CELL.


*Crosstabs profesores acosadores por modalidad  de acoso y victima (alumno/alumna)

DATASET ACTIVATE ConjuntoDatos1.
CROSSTABS
  /TABLES=profhacos7 profhacos8 profhacos9 profhacos10 profhacos11 profhacos12 profhacos13 
    profhacos14 profhacos15 profhacos16 BY P1
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COLUMN 
  /COUNT ROUND CELL.

*Crosstabs profesoras acosadoras por modalidad  de acoso y victima (alumno/alumna)

CROSSTABS
  /TABLES=profmacos7 profmacos8 profmacos9 profmacos10 profmacos11 profmacos12 profmacos13 
    profmacos14 profmacos15 profmacos16 BY P1
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COLUMN 
  /COUNT ROUND CELL.

*Crosstabs alumnos acosadores por modalidad  de acoso y victima (alumno/alumna)


CROSSTABS
  /TABLES=alumhacos7 alumhacos8 alumhacos9 alumhacos10 alumhacos11 alumhacos12 alumhacos13 
    alumhacos14 alumhacos15 alumhacos16 BY P1
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COLUMN 
  /COUNT ROUND CELL.

*Crosstabs alumnas acosadoras por modalidad  de acoso y victima (alumno/alumna)


CROSSTABS
  /TABLES=alummacosa7 alummacosa8 alummacosa9 alummacosa10 alummacosa11 alummacosa12 alummacosa13 
    alummacosa14 alummacosa15 alummacosa16 BY P1
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COLUMN 
  /COUNT ROUND CELL.

*Crosstabs trabajadores acosadores por modalidad  de acoso y victima (alumno/alumna)

CROSSTABS
  /TABLES=trabhacos7 trabhacos8 trabhacos9 trabhacos10 trabhacos11 trabhacos12 trabhacos13 
    trabhacos14 trabhacos15 trabhacos16 BY P1
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COLUMN 
  /COUNT ROUND CELL.

*Crosstabs trabajadoras acosadoras por modalidad  de acoso y victima (alumno/alumna)

CROSSTABS
  /TABLES=trabmacos7 trabmacos8 trabmacos9 trabmacos10 trabmacos11 trabmacos12 trabmacos13 
    trabmacos14 trabmacos15 trabmacos16 BY P1
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COLUMN 
  /COUNT ROUND CELL.

*Crosstabs de total de acosadores por grupo (profesores(as), alumnos(as) y trabajadores(as)), por el total del conjunto de modalidades de acoso y víctima (alumno/alumna).

CROSSTABS
  /TABLES=profhacost profmacost alumhacost alummacost trabhacost trabmacost BY P1
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COLUMN 
  /COUNT ROUND CELL.


*Crosstabs de P17, P18 y P19, por sexo y variable "acoso real"

CROSSTABS
  /TABLES=P17 P18 P19 BY P1 BY acosoreal
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COLUMN 
  /COUNT ROUND CELL.

*Crosstabs respuestas P20 por sexo.

CROSSTABS
  /TABLES=verguenza nofendidx perdtiemp nosedonde portemor nosirve noptanto noproblem señaladx 
    burla nr BY P1
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COLUMN 
  /COUNT ROUND CELL.

*Crosstabs respuestas P21 por sexo.

CROSSTABS
  /TABLES=faltaeduc probment nosecont vestimenta mujnoresp mujnocuid abuspoder socmachis nores BY P1    
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COLUMN 
  /COUNT ROUND CELL.


*Frecuencias de hostigamiento, dirigido solo a alumnas (última sección del cuestionario), por parte de profesores, separado por pregunta.


CROSSTABS
  /TABLES=P22.1 P22.2 P22.3 P22.4 P22.5 P22.6 P22.7 P22.8 P22.9 P22.10 BY P1
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COLUMN 
  /COUNT ROUND CELL.


*Frecuencias de hostigamiento, dirigido solo a alumnas (última sección del cuestionario), por parte de profesores, total.

CROSSTABS
  /TABLES=profacoso BY P1
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COLUMN 
  /COUNT ROUND CELL.


*Crosstabs de la última sección del cuestionario dirigido sólo a las alumnas: hostigamiento por parte de profesores a alumnas según edad y turno

CROSSTABS
  /TABLES=profacoso BY P1 BY P4 Edadrec
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COLUMN 
  /COUNT ROUND CELL.

